> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List load balancer L7 policy rules



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules:
    get:
      tags:
        - Load Balancers
      summary: List load balancer L7 policy rules
      operationId: L7RuleCreateView.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: l7policy_id
          required: true
          description: L7 policy ID
          schema:
            description: L7 policy ID
            example: 023f2e34-7806-443b-bfae-16c324569a3d
            examples:
              - 023f2e34-7806-443b-bfae-16c324569a3d
            title: L7Policy Id
            type: string
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/L7RuleCollectionSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            load_balancer_l7_rule_list =
            client.cloud.load_balancers.l7_policies.rules.list(
                l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
                project_id=1,
                region_id=1,
            )

            print(load_balancer_l7_rule_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerL7RuleList, err := client.Cloud.LoadBalancers.L7Policies.Rules.List(\n\t\tcontext.TODO(),\n\t\t\"023f2e34-7806-443b-bfae-16c324569a3d\",\n\t\tcloud.LoadBalancerL7PolicyRuleListParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerL7RuleList.Count)\n}\n"
components:
  schemas:
    L7RuleCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/L7RuleSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: L7RuleCollectionSerializer
      type: object
    L7RuleSerializer:
      properties:
        compare_type:
          $ref: '#/components/schemas/CompareTypeEnum'
          description: The comparison type for the L7 rule
          examples:
            - STARTS_WITH
        id:
          description: L7Rule ID
          example: 0ca7bebd-7a54-4977-bca7-e4ac1e612ec7
          examples:
            - 0ca7bebd-7a54-4977-bca7-e4ac1e612ec7
          title: Id
          type: string
        invert:
          description: >-
            When true the logic of the rule is inverted. For example, with
            invert true, 'equal to' would become 'not equal to'. Default is
            false.
          example: true
          examples:
            - true
            - false
          title: Invert
          type: boolean
        key:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          description: >-
            The key to use for the comparison. For example, the name of the
            cookie to evaluate.
          examples:
            - key
          title: Key
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: L7 policy operating status
          examples:
            - ONLINE
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          examples:
            - ACTIVE
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: A list of simple strings assigned to the l7 rule
          examples:
            - - test_tag
          title: Tags
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          title: Task Id
        type:
          $ref: '#/components/schemas/L7RuleTypeEnum'
          description: The L7 rule type
          examples:
            - PATH
        value:
          description: >-
            The value to use for the comparison. For example, the file type to
            compare.
          example: /images*
          examples:
            - /images*
          title: Value
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - compare_type
        - invert
        - key
        - operating_status
        - provisioning_status
        - tags
        - task_id
        - type
        - value
      title: L7RuleSerializer
      type: object
    CompareTypeEnum:
      enum:
        - CONTAINS
        - ENDS_WITH
        - EQUAL_TO
        - REGEX
        - STARTS_WITH
      title: CompareTypeEnum
      type: string
    OperatingStatusEnum:
      enum:
        - DEGRADED
        - DRAINING
        - ERROR
        - NO_MONITOR
        - OFFLINE
        - ONLINE
      title: OperatingStatusEnum
      type: string
    ProvisioningStatusEnum:
      enum:
        - ACTIVE
        - DELETED
        - ERROR
        - PENDING_CREATE
        - PENDING_DELETE
        - PENDING_UPDATE
      title: ProvisioningStatusEnum
      type: string
    L7RuleTypeEnum:
      enum:
        - COOKIE
        - FILE_TYPE
        - HEADER
        - HOST_NAME
        - PATH
        - SSL_CONN_HAS_CERT
        - SSL_DN_FIELD
        - SSL_VERIFY_RESULT
      title: L7RuleTypeEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````